@inproceedings{dingledine2004tor,
  author = {Roger Dingledine and Nick Mathewson and Paul Syverson},
  title = {Tor: The Second-Generation Onion Router},
  booktitle = {Proceedings of the 13th USENIX Security Symposium},
  year = {2004},
  month = {August},
  pages = {303--320},
  pdf = {dingledine2004tor.pdf},
}

@phdthesis{loesing2008privacy,
  title = {Privacy-enhancing Technologies for Private Services},
  author = {Karsten Loesing},
  school = {University of Bamberg},
  year = {2009},
  month = {May},
}

@inproceedings{overlier2006locating,
  title = {Locating Hidden Servers}, 
  author = {Lasse {\O}verlier and Paul Syverson}, 
  booktitle = {Proceedings of the Symposium on Security and Privacy (S{\&}P 2006)}, 
  year = {2006}, 
  month = {May}, 
  publisher = {IEEE Computer Society}, 
}

@techreport{dingledine2009clients,
  author = {Roger Dingledine},
  title = {Clients download consensus + microdescriptors},
  year = {2009},
  month = {January},
  note = {\url{https://gitweb.torproject.org/torspec.git/blob/HEAD:/proposals/158-microdescriptors.txt}},
  institution = {The Tor Project},
  type = {Tor Proposal},
  number = {158},
}

@inproceedings{mccoy2008shining,
  title = {Shining Light in Dark Places: Understanding the {Tor} Network}, 
  author = {Damon McCoy and Kevin Bauer and Dirk Grunwald and Tadayoshi Kohno and Douglas Sicker}, 
  booktitle = {Proceedings of the Eighth Symposium on Privacy Enhancing Technologies (PETS 2008)}, 
  year = {2008}, 
  month = {July}, 
  address = {Leuven, Belgium}, 
  pages = {63--76}, 
  editor = {Nikita Borisov and Ian Goldberg}, 
  publisher = {Springer}, 
  series = {Lecture Notes in Computer Science},
  volume = {5134},
}

@inproceedings{bauer2007low,
  title = {Low-Resource Routing Attacks Against {Tor}}, 
  author = {Kevin S. Bauer and Damon McCoy and Dirk Grunwald and Tadayoshi Kohno and Douglas Sicker}, 
  booktitle = {Proceedings of the Workshop on Privacy in the Electronic Society (WPES 2007)}, 
  year = {2007}, 
  month = {October}, 
  publisher = {ACM},
}

@manual{tor2009dirspec,
  author = {The Tor Project},
  title = {Tor directory protocol, version 3},
  year = {2009},
  note = {\url{https://gitweb.torproject.org/torspec.git/blob/HEAD:/dir-spec.txt}},
}

@inproceedings{lenhard2009performance,
  title = {Performance Measurements of {Tor} Hidden Services in Low-Bandwidth Access Networks},
  author = {J{\"o}rg Lenhard and Karsten Loesing and Guido Wirtz},
  booktitle = {Proceedings of the Seventh International Conference on Applied Cryptography and Network Security (ACNS 2009), Paris-Rocquencourt, France},
  publisher = {Springer},
  pages = {324--341},
  series = {Lecture Notes in Computer Science},
  volume = {5536},
  year = {2009},
  month = {June},
}

@misc{mulazzani2009personal,
  author = {Martin Mulazzani},
  title = {Personal communication},
  year = {2009},
  month = {March},
}

